#
# spec file for package perl-Expect (Version 1.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-IO-Stty perl-IO-Tty
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-IO-Stty perl-IO-Tty ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Expect
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     perl-Expect
Requires:     perl-IO-Tty perl-IO-Stty
Autoreqprov:  on
Summary:      Expect for perl
Version:      1.11
Release:      100
Source:       Expect-%{version}.tar.gz
Patch:        Expect-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
A tool for automating interactive programs

Authors:
--------
    Roland Giersig <RGiersig@cpan.org>
    Austin Schutz <tex@habit.com>

SuSE series: perl

%prep
%setup -n Expect-%{version}
%patch

%build
perl Makefile.PL
make

%install
%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Expect
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Expect
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
/%{perl_sitelib}/Expect.pod
/%{perl_sitelib}/Expect.pm
/%{perl_sitelib}/Expect_FAQ.pod
/%{perl_sitelib}/Expect_intro.pod
%doc FAQ.old
%doc tutorial
%doc %{_mandir}/man3/*
/var/adm/perl-modules/perl-Expect

%changelog -n perl-Expect
* Sun Aug 12 2001 - kukuk@suse.de
- Fix path to perl interpreter
* Thu Jun 21 2001 - mc@suse.de
- fixed the specfile. Used more RPM macros
* Wed Feb 21 2001 - mc@suse.de
- first package, v1.11
